LINUX.ORG.RU

Выпуск Debian 9.6

 


0

2

Вышло 6-е корректирующее обновление дистрибутива Debian 9, в которое добавлены накопившиеся обновления пакетов и исправлены проблемы инсталлятора. Выпуск включает 88 обновлений с устранением проблем со стабильностью и 92 обновления с устранением уязвимостей.

Для загрузки в ближайшие часы будут подготовлены установочные сборки, а также live iso-hybrid c Debian 9.6

>>> Подробности

добавлены накопившиеся удаления пакетов

Пофикси

Deleted ()

Вышло 6-е корректирующее обновление дистрибутива Debian 9

Видно поэтому у меня:

#apt-get install fdisk
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 fdisk : Depends: libfdisk1 (>= 2.32) but 2.29.2-1+deb9u1 is to be installed
E: Unable to correct problems, you have held broken packages.

Хотя

$cat /etc/debian_version 
9.5

Последние apt-get update естественно сделаны. И даже если явно указать ставить из stable, то всё-равно такое вот. То ли я опять, что-то незаметно поломал, то ли что. Обычно наоборот ругается на несовместимость с более новыми установлеными пакетами, если происходит «заражение» unstable веткой.

anonymous_incognito ★★★★★ ()
Последнее исправление: anonymous_incognito (всего исправлений: 1)
Ответ на: комментарий от anonymous_incognito

В stable нет пакета fdisk, а есть в тестинге и сиде. Так что ж ты хочешь? Кто врет?

curufinwe ★★★★★ ()

Пакеты настоялись?

EXL ★★★★★ ()
Ответ на: комментарий от curufinwe

А вот что его нет в stable даже в голову не пришло. Кто же его додумался выпилить оттуда, хотя даже либы от него есть в stable?

anonymous_incognito ★★★★★ ()
Последнее исправление: anonymous_incognito (всего исправлений: 1)
Ответ на: комментарий от anonymous_incognito

Его там и не было никогда.

util-linux (2.29.2-3) experimental; urgency=medium

  * Enable more tests by build-dep on bc, socat and netbase (Closes: #867183)
  * Move findmnt from mount to util-linux package
  * Make mount package non-Essential (Important: yes)
  * Split out cfdisk, fdisk and sfdisk to separate package
  * Switch fdisk-udeb Priority from extra to optional
  * Add util-linux NEWS entry for fdisk package split
  * Add mount NEWS entry about now being non-Essential

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 06 Aug 2017 14:59:02 +0200

anonymous ()
Ответ на: комментарий от anonymous

Понял! Вот же ж путаница пакета с программой. К сожалению, ddrutility тоже из testing и хочет пакет fdisk

Ладно, понятно. Как обычно шаг вправо-влево от текущего среза версий в дистрибутиве и уже что-то просто так не поставить, уже зависимости ломаются.

anonymous_incognito ★★★★★ ()
Ответ на: комментарий от anonymous_incognito

Что мешает пересобрать нужное из исходников и засунуть куда-нибудь в /opt?

У меня, кстати, вчера обновилось всё безболезненно. Правда, сейчас у меня и пакетов сторонних не так много.

Upd. Насчет «немного» - это я не подумавши... Одно TDE чего стОит!

PVOzerski ★★★ ()
Последнее исправление: PVOzerski (всего исправлений: 1)
Ответ на: комментарий от PVOzerski

Что мешает пересобрать нужное из исходников и засунуть куда-нибудь в /opt?

Вот за это мы и «любим» бинарные дистры! Особенно - Debian!

Deleted ()
Ответ на: комментарий от anonymous_incognito

Ну, так и поиск способных бесконфликтно установиться чужих бинарных пакетов - это же тоже еще те телодвижения, разве нет? :)

PVOzerski ★★★ ()
Ответ на: комментарий от Deleted

А что запретного-то в сборке из исходников в бинарных дистрах? Тем более, что правильно сделанные скрипты для make должны использовать вместо каталога /usr каталог /usr/local (ну да, c системными утилитами ситуация может быть другая - но согласитесь, что их замена на сторонние - событие нечастое и требующее огромной осторожности).

А вообще - ну что поделать: за более высокую скорость установки бинарных пакетов (по сравнению с перекомпиляцией) приходится платить.

PVOzerski ★★★ ()
Ответ на: комментарий от PVOzerski

В бинарных дистрах сборка НЕ НУЖНА! А нужно брать веник и мести...
Опакечиватели, дистростроители. Как только идеология «коту под хвост», так качество падает: Apple, Debian...

Deleted ()
Последнее исправление: kaban_lyalya (всего исправлений: 1)
Ответ на: комментарий от PVOzerski

Так о том и речь. Всё же, вольно-невольно, но сравниваешь с виндой, где вопросов поставится ли какой-то софт или нет обычно не возникает. Хотя там если из-за несовместимостей уж что-то не ставится или не работает после установки, то простого решения или вообще решения, скорее всего нет.

anonymous_incognito ★★★★★ ()
Ответ на: комментарий от Deleted

А нужно брать веник и мести...

Что и куда мести в данном конкретном случае?

Использую ddrescue (для копирования файлов с слегка неисправного винчестера), к ней крайне желательна ddrutility, чтобы видеть в какие файлы пришлись плохие сектора. В stable её нет. Установка из testing по цепочке за собой потянет много чего, вплоть до xserver и ещё кучи.

anonymous_incognito ★★★★★ ()
Последнее исправление: anonymous_incognito (всего исправлений: 1)
Ответ на: комментарий от anonymous_incognito

Вспоминаю середину 90-х, когда пытался запускать win32-приложения под win32s. Или как в эпоху XP маялся с NT4. Спасибо! Я уж лучше пересоберу.

PVOzerski ★★★ ()
$ cat /etc/debian_version
8.11

надо бы обновиться уже в честь такого знаменательного события

anonymous ()
Ответ на: комментарий от Deleted

Каким бы замечательным ни был диств, всех потенциально нужных программ к нему вам все равно мэйнтейнеры не опакетят. И, кстати, если в source-based дистрибутиве исходники нужной программы не окажутся в репозитории, а потребуют ручной скачки и сборки, то геморрой может оказаться не меньшим, чем с бинарными пакетами.

PVOzerski ★★★ ()
Ответ на: комментарий от PVOzerski

Вспоминаю середину 90-х, когда пытался запускать win32-приложения под win32s.

win32s - это конечно сон разума был.

Или как в эпоху XP маялся с NT4.

Всё же разница уже в пять лет была при бурном развитии. Но вот с обратной совместимостью всё куда лучше. Да и после WinXP до массового распространения Win10 тоже мало было программ, которые в XP не ставились. Фактически только совсем недавно пошли косяком, которым хотя бы Win7 нужна.

anonymous_incognito ★★★★★ ()
Ответ на: комментарий от anonymous

Только осторожно :) А то там, например, KDE сменилась с 4 на 5. Понимаю, что не для всех актуально, но...

PVOzerski ★★★ ()
Ответ на: комментарий от anonymous_incognito

Мда... Лор, ё. Отвечающих за пакетную базу мести!

Deleted ()
Ответ на: комментарий от PVOzerski

Crux в зубы. Всё опакечиваешь сам. За хозяйством следишь сам. Плюсы - самый свежий, чистый, минимальный набор для запуска приложений. Для серверов - песня. Для остальных - debian...

P.S. Геморроем не страдаем ;)

P.P.S. Минусы не указал, сорян: минус только один - надо знать! Не для новичков, да.

Deleted ()
Последнее исправление: kaban_lyalya (всего исправлений: 2)
Ответ на: комментарий от Deleted

В бинарных дистрах сборка НЕ НУЖНА!

Кто сказал?

Polugnom ★★★★★ ()
Ответ на: комментарий от curufinwe

Как нет, а Debian Stretch пакет util-linux с fdisk, sfdisk, cdisk внутри зачем тогда?

anonymous ()
Ответ на: комментарий от Deleted

Вам удалось превзойти в фанатстве даже пользователей Gentoo и Arch Linux - предлагаете для сервера дистрибутив, который никто не знает.

Partisan ()
Ответ на: комментарий от anonymous

Перечитай свой вопрос, подумай и получишь ответ.

curufinwe ★★★★★ ()

Хоть один нормальный дистрибутив. А то у arch постоянно после pacman -Syu что-то да отваливается.

gtk3 ()
Последнее исправление: gtk3 (всего исправлений: 1)
Ответ на: комментарий от gtk3

А то у arch постоянно после pacman -Syu что-то да отваливается.

Приведи 5 последних примеров из своего опыта, очень интересно.

curufinwe ★★★★★ ()

Когда apt-get выкинут в пользу apt?

eR ★★★★★ ()

Все ждут RHEL 8, а тут Debian какой-то

AUX ★★ ()
Ответ на: комментарий от curufinwe

Например, После очередного обновления отвалилось монтирование дисков. https://vk.com/doc431142494_481651074

В некоторый приложениях отвалилась локаль.

Если выдернуть сетевой кабель и снова подключить, то отваливается сетевая карта. Приходится делать modprobe -r r8169 && modprobe r8169 в Debian'е такого не было.

Audacity вечно падает и зависает.

gtk3 ()
Последнее исправление: gtk3 (всего исправлений: 3)
Ответ на: комментарий от anonymous

или напиши запрос в https://lists.debian.org/debian-backports/

Как правильно это сделать? Допустим, есть программа, ее версия в stretch довольно старая. При этом мне не сложно компилировать бинарник на каждую новую версию, если кто-то добавит пакет в stretch-backports.

aquadon ★★★★ ()
Ответ на: комментарий от gtk3

у arch постоянно после pacman -Syu что-то да отваливается

Так надо это делать чаще раза в год.

Thetan ★★ ()
Ответ на: комментарий от eR

а что там с apt search xxx | sort? apt вроде, как не для скриптов.

anonymous ()

Лучший дистрибутив для офлайна или медленного интернета. Во время ядерного апокалипсиса буду пользоваться именно им.

Thetan ★★ ()

Лучший дистрибутив для всего, что не касается десктопа.

anonymous ()
Ответ на: комментарий от Deleted

В бинарных дистрах сборка НЕ НУЖНА!

В некоторых бинарных дистрах нет некоторых пакетов.

alexey_navalny ()
Ответ на: комментарий от anonymous

Лучший дистрибутив для всего, что не касается десктопа

Почему? Он и на десктопе нормально живет.

Tuxman ()
Ответ на: комментарий от anonymous

Есть такая примета, от этого плазма начнёт непадать.

kirill_rrr ★★★★★ ()

Почему не сообщать по мере готовности ссылок?

anonymous ()
Ответ на: комментарий от Thetan

Мне тебя жаль!

Во время ядерного апокалипсиса буду пользоваться именно им.

Deleted ()
Ответ на: комментарий от Tuxman

В реалиях - очень медленное обновление ПО для десктопа.

Deleted ()
Ответ на: комментарий от Deleted

очень медленное обновление ПО для десктопа

Testing же есть

Tuxman ()
Ответ на: комментарий от Tuxman

И кому он нужен? Ubuntu в этом плане ярче, как минимум (дровишки, предварительные настройки)...

Deleted ()
Ответ на: комментарий от Deleted

Нужен: пакеты из сида идут только если они ничего не ломают, есть роллинг, нет бубунтовских патчей ядра. Огнелис там уже 60 (почему-то все остальные пакеты заводят в тетстинг из unstable, а лиса там вечно ESR), так что пользоваться точно можно.

anonymous ()
Ответ на: комментарий от Deleted

А куда тебе торопиться? Чего не хватает? Поставь рач в виртуалку или дуалбут и изучай свежак.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.